Changes from v1.106 to v1.107

	* Added -daemon flag (patches from Aaron Kaplan/Gossamer, Robert King)
	  and -rcdir flag.

	* Withdraw popups before moving around to get rid of flicker thing.

	* Added Gui help labels the first time pilotmgr is run.
	  Too many users don't hit the hotsync button in the pilotmgr
	  window!

	* Added option to restore previous username/id to reset pilot
	  instead of setting new id (patch from Bodo Bellut).

	* Don't let conduits disappear: add back to ActiveOrder list if
	  they get removed somehow.

	* Use "do $RCFILE" instead of "eval `cat $RCFILE`" to read prefs.
	* Added PilotSync to Reload menu in debug mode.
	* Bugfix in getDatabaseList when list is empty.
	* Added code in getUserName for text mode input.
	* Some watchdog updates for keeping pilot connection alive.
	* Removed some preferences update code from v1.100 upgrade.

	* In Setup script, search each path dir for perl5,perl instead of
	  searching all dirs for perl5 then all dirs for perl.

	* Enhancements to Backup conduit:
	  - Hardlink instead of copying from previous archive, saves time
	    and disk space (patch from Caspar Dik).
	  - Added option for daily/weekly/monthly backup (suggested by
	    Erik van Oosten).
	  - Fix for = or / in db filenames (reported and tested by Bob Clare).
	  - Fix for problem where dbs installed by Installer in same
	    hotsync might never get backed up (only update backuptime value
	    on read from pilot, not copy from archive).

	* Enhancements to Installer conduit:
	  - Bugfix for filenames with spaces (patch from Jim Nicholson).
	  - Modified to use File::Copy instead of system "cp".
	  - Ignore non-prc/pdb files placed in ~/.pilotmgr/Installer dir.

	* Update for SyncCM: Minor fixes to make compatible with upcoming
	  new version of calendar server (v6).

	* Enhancements to SyncMemo conduit:
	  - Added handling for private flag
	    (skip private memos or set permissions on files).
	  - Use Shell.pm module instead of backtick(`) shell calls
	    (patch from Jeff Dairiki).
	  - Minor bugfix for "archived" records (delete them).
	  - Don't allow empty filenames.
	  - Removed some preferences update code from v1.4 upgrade.

	* Enhancements to SyncTime conduit:
	  - Added helptext to config dialog.
	  - Use "do $RCFILE" instead of "eval $lines" to read prefs.

	* Bugfixes/enhancements to SyncPlan conduit:
	  - Bugfix in ReadPlanReply (patch from Aaron Kaplan).
	  - Bugfix when netplan is run with -a flag (patch from Chris Keane
	    and Jeff Dairiki).
	  - Bugfix for dates prior to 1970 (not supported by plan; patch
	    from Jeff Dairiki).
	  - Added VERBOSE and DEBUG flags for controlling how much detail
	    goes to pilotmgr log.

	* Updates to PilotSync (used by SyncAB, SyncFood):
	  - Added cancel flag.
	  - Don't clear modified flag for pilot records with unmergable
	    changes.
	  - Did much more on merging records.. can auto merge as long as the
	    SAME field is not changed on both sides.
	  - Use "do" instead of "eval" to read master db file (works for
	    larger file size).

	* Added SyncAB conduit (moved from contrib).  Updates:
	  - Use PilotSync cancel flag.
	  - Error handling if unable to open data file.
	  - More work on vCards.. single and multiple file vCard syncs now
	    should be functional.  Can sync changes from vCards created from
	    pilot, but can't yet read in new vCards to pilot.

	* Added SendMail conduit (updated contrib/andy-poggio/SyncMail.pm
	  with version 0.802 and moved to top level, renamed as SendMail)
	  Conduit written by Andy Poggio.  Updates:
	  - New configurable shell command for sending mail (from Andy Poggio)
	  - Don't delete message if mailer pipe fails (patch from Chris Keane)
	  - Don't clear sync flags, as messages aren't really synced.

	* Enhancements to SyncFood conduit:
	  - Supports latest version of Food pilot app (also updated Food.pl
	    editor in contrib section).
	  - Made food datafile configurable.
	  - Use PilotSync cancel flag.

	* EditAB added to contrib section (by Bodo Bellut).
	  Directly edits CSV file generated by SyncAB.

	* Added sync-pilot.pl, pi-ldif.pl and LupAB.pl to contrib section.

Changes from v1.105 to v1.106

	* New Installer menu options let you configure and sync with
	  the Installer conduit without having to reconfigure PilotManager.

	* New "-install" command line option lets you quickly install new apps
	  on your pilot without having to reconfigure PilotManager.

	* Moved responsibility for keeping the pilot connection open to the
	  conduits.  No longer leaves watchdog always running, which has
	  greatly improved the stability of SyncMemo and SyncPlan.
	  (source of problem identified by Robert Terzi)

	* New "Load New Conduits" menu option to add new conduits without
	  restarting PilotManager (patch from Adam Stein).

	* New "Reload Conduits" menu when in Debug mode.  Useful for
	  conduit developers (patch from Adam Stein).

	* Search for conduits in the ~/.pilotmgr directory as well as in
	  the pilotmgr directory.  This allows individual users to add new
	  conduits when running from a shared pilotmgr installation where
	  they might not have write access.

	* Made PilotMgr::tellUser and PilotMgr::askUser functions work
	  when syncing in command line(text) mode.

	* Support for relative dates in SyncCM's sync date range mode.
	  Syncs calendar appointments inside a moving date window relative
	  to current date (patch from Andy Poggio).

	* Minor bugfixes for SyncCM-
	  Fixed changing/deleting one of a repeating series of "no time" appts.
	  Avoid perl error when alarm count is too high for pilot to handle.

	* Minor bugfixes to SyncPlan.  Added test script in Setup utility
	  to check required perl packages for SyncPlan.

	* Minor bugfix for weekly updates in SyncTime (sometimes would not
	  set time exactly one week later).

	* Added SyncAB, ImpactImport, SyncQMate and SyncMail to contrib
	  section.

	* Updated README.porting file to specify which perl modules are
	  required for which conduits.

Changes from v1.104 to v1.105

	* New "-sync" and "-syncwith" options to start a sync from the
	  command line.

	* New "Other" selection for the Pilot Port allows any device name
	  to be entered.

	* True multiple selection file dialog added for Installer, with
	  "Select All" button too.

	* SyncMemo can skip files with specified prefix/suffix (such as
	  backup files created by text editors).

	* Added SyncPlan conduit.

	* Made cursors visible in text/entry widgets.  Replaced non-standard
	  "darkred" color with "red4".

Changes from v1.103 to v1.104

	* Removed perl version check.  Libraries are now available for both
	  5.003 and 5.004+

	* Fixed minor bug in a Tk call when creating email dialog.  This
	  makes it work with Tk402.003 (latest version).

Changes from v1.102 to v1.103

	* Updated Feedback menu to include both the existing Discussion alias
	  and the new Announcements alias.  Has "about" text for each alias.
	  Also added new pilotmgr-author alias and an item to email the alias
	  maintainer.

Changes from v1.101 to v1.102

	* Rebuilt PDA::Pilot library with latest version of pilot-link
	  (0.8.9, for sun4-solaris)

	* Added SyncTime, SyncFood conduits

	* Made it possible to select a whole directory in the Installer
	  conduit (for restoring a hard reset pilot from latest backup)

	* Updated web page url to http://www.moshpit.org/pilotmgr

Changes from v1.100 (fcs) to v1.101

	* Avoid crash when user doesn't have permissions to open serial
	  port.  Now gives message in PilotManager window.

	* Add information about libcsa.so in bug reports

	* Included SyncMemo v1.4

Changes from v1.100-BETA-6 to v1.100 (fcs)

	* Fixed problem which caused PilotManager to fail to connect
	  excessively.

	* Updated CDE message in SyncCM to explain that it can also be a
          problem if your CDE libraries are out of date (not just if they
	  are missing).

	* Made Backup conduit a lot less wordy in the Hotsync log

	* Fixed small bug in Monthly by day appointments that I introduced
	  in v1.100-BETA-5.  This bug would cause monthly by day appts to
	  appear on the wrong day on the desktop.

	* Added more appt checking on the Pilot side to find invalid
          appointments (specifically, those where the end or repeat_end
          date predate the start of the appointment.)

	* Added Setup utility to try to autoconfigure PilotManager the
          first time you run it.

	* Added hard-reset detection

	* Added rudimentary multi-pilot awareness

	* Tweaked icon a little bit


Changes from v1.100-BETA-5 to v1.100-BETA-6

	* Added an icon!  Woohoo!

	* Several minor bugfixes.

	* Fixed bug in Installer that would force subsequent syncs to be
	  full syncs even if nothing was installed (thanks Dan Mick!)

	* Fixed minor bug in SyncCM that would cause private appointments
	  to get continuously shuffled back and forth.

	* Improved SyncMemo's portability.

Changes from v1.009-BETA-4 to v1.100-BETA-5

	* Greatly sped up the GUI.

	* Added status monitoring for conduits.
	
	* Provided the user with a way to configure the color scheme.

        * SyncCM:  Many, many changes
	    * Uses CSA from the CDE toolkit.  No, you don't need to
	      run CDE to use it.
	    * Private appointments fully supported
	    * Defaults are now configurable within SyncCM
	    * Overwrite modes fully functional, ie,
	         - Desktop overwrite Pilot
		 - Pilot overwrites Desktop
		 - Full merge
	    * SyncCM will now create a new calendar for you if you
	      ask it to sync to a nonexistant one.  I find that due to 
	      a bug in CSA you have to be root for this to work (and for
	      the 'Pilot overwrites Desktop' mode to work).
	    * SyncCM now passes 1200 appt regression test perfectly
	      (no more duplicates or missing appts in a sequence!)

	* Added ability to cancel a sync cleanly

	* Backup allows you to specify behaviour for new databases

	* Totally revised the glue layer to use PDA::Pilot instead of
	  the SWIG'd libraries.  This will make porting much easier since
	  PDA::Pilot is a configure and make system.

Changes from v1.009-BETA-3 to v1.009-BETA-4

	* Fixed bug in SyncMemo that allowed Pilot to timeout while user
	  answered question about syncing.

	* Fixed some of the annoying bugs leading to SEGV and BUS errors
	  in the SyncCM conduit.

Changes from v1.008 to v1.009-BETA-3

	* Added more documentation to the Help menu

	* Added welcome message to help new users along

	* Copyrighted PilotManager under Sun's copyright

	* Made SyncCM's date range y2000 compliant.  Added better
	  safeguards to keep the user from entering spurious dates or
	  bogus calendar entries.

	* Changed structure of SyncCM's preferences.  This should be fully
	  backwards compatible...

	* Made MAJOR memory model improvements to prevent rampant memory
	  leaks.  PilotManager should now consume much less memory.  

	* Fixed bug in SyncCM where removing multiple back-to-back
	  appointments from a sequence in dt/cm would cause only the first
	  one to disappear from the Pilot

	* Toggling "Sync All" / "Sync Date Range" now enables and disables
	  the date range entries to avoid user confusion.

	* Improved Backup's user-friendliness when choosing a directory to
	  make your backups via the browse button.

	* Fixed bug in check calendar that would incorrectly report some
	  calendar as inaccessible.

	* SyncCM.pm: Added much more robust error detection so
	  that it will notify you if either the Pilot datebook or the
	  Calendar Manager calendar shrinks between syncs (like if you
	  accidentally delete your datebook or your calendar moves).

	* Added a "Clear Status" button so that you can erase the contents
	  of the status window between syncs.

	* SyncCM.pm: Improved logging support to tell you the time and
	  date of the appointment being changed and to log all changes
	  (v1.008 didn't log all deletes).

	* Added archival support to Backup.  Now you can archive up to 7
	  snapshots of your backups.

	* Fixed bug in alarm advance code

	* Made SyncCM default to "Sync Date Range" initially

	* Added "Move All" buttons to Backup and added ability to move
	  databases by double-clicking them.

	* Fixed Backup to use an appropriate backup directory by default

	* Optimized file selector box in Installer so that it does not get
	  destroyed between adding databases (ie, there's no delay anymore).

	* Fixed problem with Backup where databases with special
	  characters (like 'Timer++') would cause it to fail.

	* Added better error handling if connection to Pilot fails

	* Fixed resize problem in feedback window

Changes from v1.007_02 to v1.008

	* Added user interaction dialog

	* SyncCM: Fixed a bug that caused the Pilot to time out at the
	  very end of the SyncCM synchronization cycle. 

	* SyncCM: Added reset button

	* SyncCM: Added logging feature

	* Made conduit order adjustable.

Changes from v1.007 to v1.007_02

	* Installer: fixed bug with databases containing embedded spaces.

	* Convenience feature: Double-clicking inactive conduits in the
	  property sheet makes them active. 

	* SyncCM: fixed bug that caused Pilot to loose connection during
	  syncs under certain conditions. 

Changes from v1.007 to v1.007_01

	* SyncCM: added alarm support.  You can specify which calendar
	  manager alarm to attach your pilot alarm to.

	* Backup: Alas, the old Pilot series doesn't seem to keep the
	  moddate updated properly.  So, I added a 'backup daily' flag to
	  allow you to specify that you want your database backed up every
	  day regardless.

	* Backup: fixed logic so that it backs up your databases
	  whenever they've changed.  Unfortunately the Pilot thinks the
	  database has changed even if you've just looked at it...

Changes from v1.006_02 to v1.007

	* Changed the whole release architecture to allow separate
	  architectural releases and for the conduits to be released
	  separately from PilotManager.

	* Added source directory with directions for how to build
	  PilotManager on any platform.  Now you can port it to the
	  platform of your choice.  Not all modules are available on any
	  platform (ie, SyncCM is only available for Sun because it uses a
	  Sun rpc library)

	* Added contrib directory, moved SyncMemo files into it

	* Added buffering to ~/.pilotmgr/hotsync.log so that you can check
	  to see what's going on if the GUI is frozen.

	* Added Installer conduit.  This conduit lets you add new
	  databases to your Pilot.

	* Improved sync state code to keep better track of which
	  machine you synced your pilot on.  This improves compatibility
	  with the Mac/PC sync environment.

	* Added sync log entries that show up on the Pilot after your
	  hotsync completes.
	
	* Fixed bug in Backup that prevented database list from being
	  loaded properly 

Changes from v1.006 to v1.006_02

        * Renamed 'API' directory to 'docs'

	* Improved code that determines the actual location of
	  PilotManager, which should lead to less problems when running
	  PilotManager through a symlink or shell script.

	* SyncCM updated to v1.005_02, includes:
	    * Timeless CM appts are now removed properly
	    * Duplicate checking ignores spacing and capitalization

Changes from v1.006 to v1.006_01

	* Fixed bug in Backup that generated useless warning when Backup
	  is first configured

	* Fixed the dynaloader bug that caused it to be unable to load
	  'libresolve.so.2'.

Changes from v1.005 to v1.006

	* SyncMemo v1.02 bundled.  Thanks to Alan Harder, the new version
	  of SyncMemo comes with a bonus tool called 'PilotDrop'.  This
	  tool allows you to drag and drop documents onto your pilot!  The
	  documents will get copied to your pilot on the next sync.

	* SyncCM updated to v1.005_01, which incorporates a few tiny
	  changes not worth their own rev.

	* Added the Backup module which attempts to intelligently back up
	  your data.  Right now it's not all that intelligent, but I think
	  it errs on the side of caution (it backs up your stuff a little
	  too frequently, I think).

	* Improved UI with a new color scheme.  Don't like it?  Tough!
	  Haha, just kidding.  If you can come up with a better color
	  scheme I'd be happy to integrate it.

	* Added feedback support for each of the separate conduits and
	  a general purpose feedback system.

	* Solaris x86 supported (along with an architecture that will
	  allow support of any platform).

	* PilotManager should now be free of directory restrictions (ie,
	  you should be able to run it from any directory).

	* Wrote up a brief API document in the API directory

	* New Preferences interface, including the ability to activate and
	  inactivate conduits.  All new conduits will be added as
	  inactive, and you must activate them by hand.  Alas, these
	  changes mean that preferences from v1.005 and earlier are toast.
	  I did not bother to write code to port them along.  However, it
	  should be fairly trivial to recreate them (preferences from
	  specific modules are unchanged). 

	* "Modules" are now called "conduits".  Since the term "conduit"
	  is a well known name for synchronization modules, I've decided
	  to go with the flow.

	* Conduit API more firmly established.  Now conduits can be
	  created and installed separately from the PilotManager harness.

Changes from v1.004 to v1.005

	* Improved exception (ie, missing appts in a sequence) code for
	  certain special cases 

	* SyncCM: Fixed bug in MM/DD/YY orderering that led to rpc failure

	* SyncCM: Better error handling for rpc failure

